import React from 'react';
export const themeContext = React.createContext({});

export const UiContext = ({ children, contextValue = {} }) => {
  return (
    <themeContext.Provider value={contextValue}>
      {children}
    </themeContext.Provider>
  );
};
