import { MouseEventHandler, FunctionComponent } from "react";
interface ButtonProps extends React.ButtonHTMLAttributes<HTMLButtonElement> {
    /**Text to be displayed as button */
    label?: string;
    /**Select the default or customised css */
    primary?: boolean;
    disabled?: boolean;
    /**Size of the component */
    size?: 'small' | 'medium' | 'large';
    onClick?: MouseEventHandler<HTMLButtonElement>;
}
/**Customised button Component */
export const Button: FunctionComponent<ButtonProps>;

//# sourceMappingURL=types.d.ts.map
