import React from 'react';

import { ComponentStory, ComponentMeta } from '@storybook/react';

import { Input } from './index';

export default {
  title: 'Input',
  component: Input,
} as ComponentMeta<typeof Input>;

const Template: ComponentStory<typeof Input> = (args) => <Input {...args} />;

export const FirstStory = Template.bind({});

FirstStory.args = {
  error: false,
  success: true,
  disabled: false,
  label: 'Success',
  placeholder: 'Enter Here..!',
};
