import $atBs5$react, {useContext as $atBs5$useContext} from "react";
import $atBs5$emotionstyled from "@emotion/styled";
import {jsx as $atBs5$jsx} from "react/jsx-runtime";
import {ThemeProvider as $atBs5$ThemeProvider} from "@emotion/react";







const $8f45062078a2e6a9$export$84c6f02482759c25 = /*#__PURE__*/ (0, $atBs5$react).createContext({});
const $8f45062078a2e6a9$export$90026fef14600c00 = ({ children: children , contextValue: contextValue = {}  })=>{
    return /*#__PURE__*/ (0, $atBs5$jsx)($8f45062078a2e6a9$export$84c6f02482759c25.Provider, {
        value: contextValue,
        children: children
    });
};


const $1d44023bc7d55f33$var$StyledButton = (0, $atBs5$emotionstyled).button`
  border: 0;
  line-height: 1;
  font-size: 15px;
  cursor: pointer;
  font-weight: 700;
  font-weight: bold;
  border-radius: 3px;
  display: inline-block;
  padding: ${(props)=>props.size === "small" ? "7px 25px 8px" : props.size === "medium" ? "9px 30px 11px" : "14px 30px 16px"};
  color: ${(props)=>props.theme?.primary ? props.theme.primary : "#ffffff"};
  background-color: ${(props)=>props.theme?.secondary ? props.theme.secondary : "#1b116e"};
  opacity: ${(props)=>props.disabled ? 0.5 : 1};
  &:hover {
    background-color: ${(props)=>props.theme?.primary ? "#55bd90" : "#6bedb5"};
  }
  &:active {
    border: solid 2px #1b116e;
    padding: ${(props)=>props.size === "small" ? "5px 23px 6px" : props.size === "medium" ? "7px 28px 9px" : "12px 28px 14px"};
  }
`;
const $1d44023bc7d55f33$export$353f5b6fc5456de1 = ({ label: label , primary: primary , disabled: disabled , size: size , onClick: onClick , ...props })=>{
    const theme = (0, $atBs5$useContext)((0, $8f45062078a2e6a9$export$84c6f02482759c25));
    return /*#__PURE__*/ (0, $atBs5$jsx)((0, $atBs5$ThemeProvider), {
        theme: theme,
        children: /*#__PURE__*/ (0, $atBs5$jsx)($1d44023bc7d55f33$var$StyledButton, {
            type: "button",
            onClick: onClick,
            primary: primary,
            disabled: disabled,
            size: size,
            ...props,
            children: label
        })
    });
};




export {$1d44023bc7d55f33$export$353f5b6fc5456de1 as Button};
//# sourceMappingURL=module.js.map
