import $1AVbK$react, {useContext as $1AVbK$useContext} from "react";
import $1AVbK$emotionstyled from "@emotion/styled";
import {jsxs as $1AVbK$jsxs, jsx as $1AVbK$jsx} from "react/jsx-runtime";
import {ThemeProvider as $1AVbK$ThemeProvider} from "@emotion/react";







const $8f45062078a2e6a9$export$84c6f02482759c25 = /*#__PURE__*/ (0, $1AVbK$react).createContext({});
const $8f45062078a2e6a9$export$90026fef14600c00 = ({ children: children , contextValue: contextValue = {}  })=>{
    return /*#__PURE__*/ (0, $1AVbK$jsx)($8f45062078a2e6a9$export$84c6f02482759c25.Provider, {
        value: contextValue,
        children: children
    });
};


const $5d32d2dc526a1d7f$var$StyledInput = (0, $1AVbK$emotionstyled).input`
  height: 40px;
  width: 300px;
  border-radius: 3px;
  border: solid 2px
    ${(props)=>props.disabled ? "#e4e3ea" : props.error ? "#a9150b" : props.success ? "#067d68" : "#353637"};
  background-color: #fff;
  &:focus {
    border: solid 2px #1b116e;
  }
`;
const $5d32d2dc526a1d7f$var$StyledLabel = (0, $1AVbK$emotionstyled).div`
  font-size: 14px;
  color: ${(props)=>props.disabled ? "#e4e3ea" : "#080808"};
  padding-bottom: 6px;
`;
const $5d32d2dc526a1d7f$var$StyledMessage = (0, $1AVbK$emotionstyled).div`
  font-size: 14px;
  color: #a9150b;
  padding-top: 4px;
`;
const $5d32d2dc526a1d7f$var$StyledText = (0, $1AVbK$emotionstyled).p`
  margin: 0px;
  color: ${(props)=>props.disabled ? "#e4e3ea" : props.error ? "#a9150b" : "#080808"};
`;
const $5d32d2dc526a1d7f$export$f5b8910cec6cf069 = ({ id: id , disabled: disabled , label: label , message: message , error: error , success: success , onChange: onChange , placeholder: placeholder , ...props })=>{
    const theme = (0, $1AVbK$useContext)((0, $8f45062078a2e6a9$export$84c6f02482759c25));
    return /*#__PURE__*/ (0, $1AVbK$jsxs)((0, $1AVbK$ThemeProvider), {
        theme: theme,
        children: [
            /*#__PURE__*/ (0, $1AVbK$jsx)($5d32d2dc526a1d7f$var$StyledLabel, {
                children: /*#__PURE__*/ (0, $1AVbK$jsx)($5d32d2dc526a1d7f$var$StyledText, {
                    disabled: disabled,
                    error: error,
                    children: label
                })
            }),
            /*#__PURE__*/ (0, $1AVbK$jsx)($5d32d2dc526a1d7f$var$StyledInput, {
                id: id,
                type: "text",
                onChange: onChange,
                disabled: disabled,
                error: error,
                success: success,
                placeholder: placeholder,
                ...props
            }),
            /*#__PURE__*/ (0, $1AVbK$jsx)($5d32d2dc526a1d7f$var$StyledMessage, {
                children: /*#__PURE__*/ (0, $1AVbK$jsx)($5d32d2dc526a1d7f$var$StyledText, {
                    error: error,
                    children: message
                })
            })
        ]
    });
};




export {$5d32d2dc526a1d7f$export$f5b8910cec6cf069 as Input};
//# sourceMappingURL=module.js.map
